Get a list of webhooks
GET
https://api.vercel.com/v1/webhooksGet a list of webhooks
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel({ bearerToken: "<YOUR_BEARER_TOKEN_HERE>",});
async function run() { const result = await vercel.webhooks.getWebhooks({ teamId: "team_1a2b3c4d5e6f7g8h9i0j1k2l", slug: "my-team-url-slug", });
console.log(result);}
run();Response
[ { "projectsMetadata": [ { "id": "icfg_1234567890", "name": "Example Name", "framework": "actix-web", "latestDeployment": "string" } ], "alertRuleIds": [], "events": [], "id": "account_hook_GflD6EYyo7F4ViYS", "url": "https://my-webhook.com", "ownerId": "ZspSRT4ljIEEmMHgoDwKWDei", "createdAt": "1567024758130", "updatedAt": "1567024758130", "projectIds": [] }]AuthorizationbearerToken
Default authentication mechanism